var dgram = require('dgram');
var raceFlux = dgram.createSocket('udp6');
var stormFlux = dgram.createSocket('udp4');

var PORT = 9001;
var UDPIP = '224.0.0.2';

let pcTarget = '109.25.55.189';
let portTarget = 45454;


function raceClient() {
    raceFlux.on('listening', () => {
        var address = raceFlux.address();
        console.log('UDP Server listening on ' + address.address +
            ":" + address.port);
    });

    raceFlux.on('message', (message, remote) => {
        return;
        var dt = new Date();
        var formatted = dt.toISOString();

        console.log("[" + formatted + "]" + message + "\n");
    });

    raceFlux.bind(PORT, () => {
        raceFlux.addMembership(UDPIP);
    });
}

function stormClient() {
    stormFlux.on('message', (message, remote) => {
        console.log("receive " + message + " from remote " + remote);
    });

    stormFlux.bind(portTarget);
}